# Chrysoblog

A blog framework

## Building

To create the production version,

```bash
npm run build
```

You can preview the production build with `npm run preview`.

### Content

To insert custom content, create a directory with a similar structure to
`src/content`, and set the environment variable `CHRYSOBLOG_CONTENT` to that
directory. The website will be built statically in `build/`. Note that changing
`favicon.svg` will require modifying the `static/` folder.

## Developing

Install [pre-commit](https://pre-commit.com/).

Install dependencies with `npm install` (or `pnpm install` or `yarn`). Then
start the dev server with

```bash
npm run dev [-- --open]
```

### Formatting

``` bash
npx eslint
```

### Testing

To run tests
``` bash
npx playwright test
```

All tests must have the suffix `.spec.[jt]s`. Be cautious while updating
`playwright` since the versions in `nixpkgs` and `node` must exactly match.
