import { error } from '@sveltejs/kit';
import type { PageLoad } from './$types';
import { transformPostMeta } from '$lib/posts';

export const load: PageLoad = async ({ params }) => {
	try {
		const post = await import(`$content/post/${params.slug}.md`);
		 if (!post) throw error(404);
		const Content = post.default;

		return {
			post: transformPostMeta(post.metadata, params.slug),
			Content,
		};
	}
	catch {
		 error(404, `Could not find post ${params.slug}`)
	}
}
